Last modified: 2009-05-23 20:01:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18698 - Use file.inc or file.php, not file.inc.php
Use file.inc or file.php, not file.inc.php
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
1.16.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch, patch-reviewed
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2009-05-06 19:26 UTC by Dan Jacobson
Modified: 2009-05-23 20:01 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch that corrects .inc.php references to be .inc (2.45 KB, patch)
2009-05-09 12:18 UTC, Karun
Details

Description Dan Jacobson 2009-05-06 19:26:34 UTC
These references and the files they refer to should be just .inc:

maintenance/updateArticleCount.php:13:require_once( 'updateArticleCount.inc.php' );
maintenance/importImages.php:14:require_once( 'importImages.inc.php' );
maintenance/reassignEdits.php:14:require_once( 'reassignEdits.inc.php' );
maintenance/deleteOrphanedRevisions.php:15:require_once( 'deleteOrphanedRevisions.inc.php' );
docs/php-memcached/Documentation:166:require("MemCachedClient.inc.php");

In fact some smaller ones could be merged with their .php counterpart.
Comment 1 Karun 2009-05-09 12:18:50 UTC
Created attachment 6099 [details]
Patch that corrects .inc.php references to be .inc

Hello,
I have created a patch that corrects the references in the files mentioned on the bug to be .inc rather than .inc.php

How do we go about getting the .inc.php files renamed to .inc in SVN? What criteria should we use to determine if .inc files should be included in the .php file? As the bug mentions some of them are small and could be included.
Comment 2 Karun 2009-05-16 02:17:30 UTC
Comment on attachment 6099 [details]
Patch that corrects .inc.php references to be .inc

The following files need renaming as a part of the patch
maintenance/updateArticle.inc.php to maintenance/updateArticle.inc

maintenance/importImages.inc.php to maintenance/importImages.inc

maintenance/reassignEdits.inc.php to maintenance/reassignEdits.inc

maintenance/deleteOrphanedRevisions.inc.php to maintenance/deleteOrphanedRevisions.inc
Comment 3 Karun 2009-05-16 02:19:33 UTC
As per the mailing list discussion on Wikitech-l with the subject "Procedure for renaming files as a part of patches" on the 16th of May 2009, I have updated the patch to include the files to be renamed.
Comment 4 Tim Starling 2009-05-16 03:23:59 UTC
I would rather see all the .php files (except the entry points) renamed to .inc. Is there some reason you think it should be the other way around?

http://marc.info/?l=wikitech-l&m=121346275503945&w=2
http://marc.info/?l=wikitech-l&m=121357278830503&w=2
Comment 5 Tim Starling 2009-05-18 03:21:03 UTC
Sorry, misread.
Comment 6 Shinjiman 2009-05-23 19:26:33 UTC
Applied on r50942.

The patch has been applied except the "docs/php-memcached/Documentation" part.
The MemCachedClient.inc.php file has been deleted on r4945 and this file was 
totally outdated in respect to the memcached-client.php file that are currently using.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links